Summary: @PACKAGENAME@ PKCS#11 aware WebKit Browser
Name: @PACKAGENAME@
Version: @VERSION@
Release: 1
License: LGPL
Group: Applications/Internet
URL: https://dev.swisssign.com/projects/@PACKAGENAME@
Source0: %{name}-%{version}.tar.gz
BuildRequires: subversion libcppunit-devel gcc-c++ doxygen graphviz texlive automake autoconf libtool make
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
Conflicts: swisssurfer
Provides: swisssurfer
Obsoletes: swisssurfer

%description
@README@

This package contains the program and shared libraries required at runtime.

%prep
%setup -q
./configure --prefix=/usr \
            --docdir=/usr/share/doc/packages/@PACKAGENAME@ \
            --libdir=/usr/%_lib \
            --with-qt-install-plugins=/usr/share/qt4/plugins/designer

%build
make

%install
DESTDIR=$RPM_BUILD_ROOT make install
rm -rf $RPM_BUILD_ROOT/usr/share/doc/packages/@PACKAGENAME@/html
rm $RPM_BUILD_ROOT/usr/share/doc/packages/@PACKAGENAME@/COPYING
rm $RPM_BUILD_ROOT/usr/share/doc/packages/@PACKAGENAME@/INSTALL
rm $RPM_BUILD_ROOT/usr/share/doc/packages/swissbrowser/swissbrowser.spec

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
/usr/bin/@PACKAGENAME@
/usr/share/applications/@PACKAGENAME@.desktop
/usr/share/swissbrowser/swissbrowser.png
/usr/share/swissbrowser/swissbrowser.xpm
/usr/%_lib/lib*.so.*
%doc
/usr/share/doc/packages/@PACKAGENAME@/AUTHORS
/usr/share/doc/packages/@PACKAGENAME@/ChangeLog
/usr/share/doc/packages/@PACKAGENAME@/NEWS
/usr/share/doc/packages/@PACKAGENAME@/README

%package devel
Summary: @PACKAGENAME@ PKCS#11 aware WebKit Browser (development files)
Group: Development/Libraries/C++

%description devel
@README@

This Package contains all files required for developement.

%files devel
%defattr(-,root,root,-)
/usr/share/qt4
/usr/%_lib/lib*.so
/usr/include

%changelog
